// cstm1dlg.cpp : implementation file
//

#include "stdafx.h"
#include "thumbwiz.h"
#include "cstm1dlg.h"
#include "thumbwizaw.h"

#ifdef _PSEUDO_DEBUG
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCustom1Dlg dialog
extern CThumbWizAppWiz ThumbWizaw;


CCustom1Dlg::CCustom1Dlg()
	: CAppWizStepDlg(CCustom1Dlg::IDD)
{
	//{{AFX_DATA_INIT(CCustom1Dlg)
	m_sObject = "";
	m_sSuffixes = "";
	//}}AFX_DATA_INIT
}

void CCustom1Dlg::DoDataExchange(CDataExchange* pDX)
{
	CAppWizStepDlg::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CCustom1Dlg)
	DDX_Text(pDX, IDC_OBJECT, m_sObject);
	DDX_Text(pDX, IDC_SUFFIXES, m_sSuffixes);
	//}}AFX_DATA_MAP

}

BOOL CCustom1Dlg::OnInitDialog() 
{
	// propose an object name based on Root
	ThumbWizaw.m_Dictionary.Lookup(_T("Root"), m_sObject);
	if(m_sObject.Left(5)==_T("Thumb")) m_sObject = m_sObject.Mid(5);
	CAppWizStepDlg::OnInitDialog();
	return TRUE;  // return TRUE unless you set the focus to a control
		             // EXCEPTION: OCX Property Pages should return FALSE
}

// This is called whenever the user presses Next, Back, or Finish with this step
//  present.  Do all validation & data exchange from the dialog in this function.
BOOL CCustom1Dlg::OnDismiss()
{

	if (!UpdateData(TRUE))
		return FALSE;

	CString sObject;
	ThumbWizaw.m_Dictionary["Object"] = m_sObject;
	ThumbWizaw.m_Dictionary["Suffixes"] = m_sSuffixes;

	m_sObject.MakeUpper(); 
	ThumbWizaw.m_Dictionary[_T("OBJECT")] = m_sObject;

	// Put file suffixes to register
	CString sSufs,sKey,sSuf,sResID; int i,pos; bool bLast=false;
	sSufs = m_sSuffixes;
	i=0; pos=sSufs.Find(',');
	while(!bLast) {
		// format of key required for loops
		if(pos>=0) { // get next suffix
			sSuf = sSufs.Left(pos); 
			if(pos<sSufs.GetLength()-1)
				sSufs = sSufs.Mid(pos+1);
			else sSufs="";
			pos=sSufs.Find(',');
		}
		else { // last suffix
			sSuf = sSufs;
			bLast=true;
		} 
		sKey.Format("Suffix_%d",i);
		ThumbWizaw.m_Dictionary[sKey] = sSuf; TRACE("%s = %s\n",sKey,sSuf);
		sKey.Format("SUFFIX_%d",i); sSuf.MakeUpper(); 
		ThumbWizaw.m_Dictionary[sKey] = sSuf; 
		sKey.Format("ResID_%d",i); sResID.Format("%d",100+i); 
		ThumbWizaw.m_Dictionary[sKey] = sResID; 
		i++;
	}
	CString sNum; sNum.Format("%d",i);
	ThumbWizaw.m_Dictionary[_T("Num")] = sNum;

	return TRUE;	// return FALSE if the dialog shouldn't be dismissed
}


BEGIN_MESSAGE_MAP(CCustom1Dlg, CAppWizStepDlg)
	//{{AFX_MSG_MAP(CCustom1Dlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CCustom1Dlg message handlers
